# $Revision: 1.12 $, $Date: 2011/05/17 07:21:35 $
#
# Conditional build:
%bcond_with	oracle		# build Oracle backend
%bcond_without	mysql		# don't build MySQL backend
%bcond_without	postgresql	# don't build PostgreSQL backend
#
Summary:	The C++ Database Access Library
Summary(pl.UTF-8):	Biblioteka obsługi baz danych dla C++
Name:		libsoci
Version:	3.0.0
Release:	4
License:	Boost Software License
Group:		Libraries
Source0:	http://dl.sourceforge.net/soci/soci-%{version}.tar.gz
# Source0-md5:	1bf7dd244764e53557c1ecc01fdfac96
Patch0:		%{name}-gcc43.patch
Patch1:		%{name}-flags.patch
URL:		http://soci.sourceforge.net/
BuildRequires:	libstdc++-devel
%{?with_mysql:BuildRequires:	mysql-devel}
%{?with_postgresql:BuildRequires:	postgresql-devel}
BuildRequires:	tcl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The C++ Database Access Library.

%description -l pl.UTF-8
Biblioteka obsługi baz danych dla języka C++.

%package devel
Summary:	Header files for soci library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki soci
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for soci library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki soci.

%package static
Summary:	Static soci library
Summary(pl.UTF-8):	Statyczna biblioteka soci
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static soci library.

%description static -l pl.UTF-8
Statyczna biblioteka soci.

%package mysql
Summary:	MySQL backend for soci
Summary(pl.UTF-8):	Backend MySQL-a dla soci
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description mysql
This package contains library with the MySQL binding for soci.

%description mysql -l pl.UTF-8
Ten pakiet zawiera bibliotekę do połączenia bazy MySQL z soci.

%package mysql-static
Summary:	MySQL backend for soci (static version)
Summary(pl.UTF-8):	Backend MySQL-a dla soci (wersja statyczna)
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description mysql-static
This package contains static library with the MySQL binding for soci.

%description mysql-static -l pl.UTF-8
Ten pakiet zawiera statyczną bibliotekę do połączenia bazy MySQL z
soci.

%package oracle
Summary:	Oracle backend for soci
Summary(pl.UTF-8):	Backend Oracla dla soci
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description oracle
This package contains library with the Oracle binding for soci.

%description oracle -l pl.UTF-8
Ten pakiet zawiera bibliotekę do połączenia bazy Oracle z soci.

%package oracle-static
Summary:	Oracle backend for soci (static version)
Summary(pl.UTF-8):	Backend Oracla dla soci (wersja statyczna)
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description oracle-static
This package contains static library with the Oracle binding for soci.

%description oracle-static -l pl.UTF-8
Ten pakiet zawiera statyczną bibliotekę do połączenia bazy Oracle z
soci.

%package postgresql
Summary:	PostgreSQL backend for soci
Summary(pl.UTF-8):	Backend PostgreSQL-a dla soci
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description postgresql
This package contains library with the PostgreSQL binding for soci.

%description postgresql -l pl.UTF-8
Ten pakiet zawiera bibliotekę do połączenia bazy PostgreSQL z soci.

%package postgresql-static
Summary:	PostgreSQL backend for soci (static version)
Summary(pl.UTF-8):	Backend PostgreSQL-a dla soci (wersja statyczna)
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description postgresql-static
This package contains static library with the PostgreSQL binding for
soci.

%description postgresql-static -l pl.UTF-8
Ten pakiet zawiera statyczną bibliotekę do połączenia bazy PostgreSQL z
soci.

%prep
%setup -q -n soci-%{version}
%patch0 -p1
%patch1 -p1

%build
%configure \
	--include-prefix=$RPM_BUILD_ROOT%{_includedir}/soci \
	--lib-prefix=$RPM_BUILD_ROOT%{_libdir} \
	--postgresql-include=%{_includedir} \
	--postgresql-lib=%{_libdir} \
	--mysql-include=%{_includedir}/mysql \
	--mysql-lib=%{_libdir}

export CXXFLAGS="${CXXFLAGS:-%rpmcxxflags}"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	mysql -p /sbin/ldconfig
%postun	mysql -p /sbin/ldconfig

%post	oracle -p /sbin/ldconfig
%postun	oracle -p /sbin/ldconfig

%post	postgresql -p /sbin/ldconfig
%postun	postgresql -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE_1_0.txt README
%attr(755,root,root) %{_libdir}/libsoci_core*.so

%files devel
%defattr(644,root,root,755)
%doc doc/*
%{_includedir}/soci

%files static
%defattr(644,root,root,755)
%{_libdir}/libsoci_core*.a

%if %{with mysql}
%files mysql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsoci_mysql*.so

%files mysql-static
%defattr(644,root,root,755)
%{_libdir}/libsoci_mysql*.a
%endif

%if %{with oracle}
%files oracle
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsoci_oracle*.so

%files oracle-static
%defattr(644,root,root,755)
%{_libdir}/libsoci_oracle*.a
%endif

%if %{with postgresql}
%files postgresql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsoci_postgresql*.so

%files postgresql-static
%defattr(644,root,root,755)
%{_libdir}/libsoci_postgresql*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libsoci.spec,v $
Revision 1.12  2011/05/17 07:21:35  arekm
- rel 4; build fixed

Revision 1.11  2011/05/16 13:30:44  arekm
- release 3

Revision 1.10  2011/03/31 18:10:35  arekm
- release 2

Revision 1.9  2008/09/27 18:29:27  lkrotowski
- fix for custom CXXFLAGS

Revision 1.8  2008/07/10 19:16:06  lkrotowski
- up to 3.0.0
- rel 1
- dropped unsupported backends

Revision 1.7  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.5  2007/01/14 21:26:11  qboosh
- -devel R: libstdc++-devel; *-static R: -devel

Revision 1.4  2007/01/14 20:53:05  qboosh
- no epoch here

Revision 1.3  2007/01/14 19:54:18  qboosh
- formatting

Revision 1.2  2007/01/08 23:05:46  wolf
- cosmetics

Revision 1.1  2006/12/29 17:57:53  witekfl
- new
